## r-cran-parameters 0.24.1

=== debian/changelog ===
r-cran-parameters (0.24.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 08:31:23 +0900

r-cran-parameters (0.22.2-3) unstable; urgency=medium

  * Team upload.
  * Also skip unsatifiable test dependencies for the autodep8 tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 09:04:14 +0100

r-cran-parameters (0.22.2-2) unstable; urgency=medium

  * Team upload.
  * d/tests/control: skip if deps are not installable (like on 32-bit
    architectures.)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Jan 2025 16:59:53 +0100

=== debian/control ===
Source: r-cran-parameters
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parameters
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parameters.git
Homepage: https://cran.r-project.org/package=parameters
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-bayestestr (>= 0.15.0),
               r-cran-datawizard (>= 1.0.0),
               r-cran-insight (>= 1.0.0)
Testsuite: autopkgtest-pkg-r

Package: r-cran-parameters
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R processing of model parameters
 Utilities for processing the parameters of various statistical models.
 Beyond computing p values, CIs, and other indices for a wide variety of
 models (see support list of insight; Lüdecke, Waggoner & Makowski (2019)
 <doi:10.21105/joss.01412>), this package implements features like
 standardization or bootstrapping of parameters and models, feature
 reduction (feature extraction and variable selection) as well as
 conversion between indices of effect size.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-aer,
        r-cran-afex,
        r-cran-bayesfactor (>= 0.9.12-4.7),
        r-cran-bayesfm,
        r-cran-bbmle,
        r-cran-bh,
        r-cran-blme,
        r-cran-boot,
        r-cran-brglm2,
        r-cran-brms,
        r-cran-broom,
        r-cran-broom.mixed,
        r-cran-caic4,
        r-cran-car,
        r-cran-cardata,
        r-cran-clubsandwich,
        r-cran-cluster,
        r-cran-coda,
        r-cran-dbscan,
        r-cran-distributional,
        r-cran-drr,
        r-cran-effectsize (>= 0.8.6),
        r-cran-emmeans (>= 1.7.0),
        r-cran-epir,
        r-cran-estimatr,
        r-cran-factoextra,
        r-cran-factominer,
        r-cran-fastica,
        r-cran-fpc,
        r-cran-gam,
        r-cran-gee,
        r-cran-geepack,
        r-cran-ggeffects (>= 1.3.2),
        r-cran-ggplot2,
        r-cran-glmmtmb (>= 1.1.10),
        r-cran-gparotation,
        r-cran-haven,
        r-cran-httr2,
        r-cran-hmisc,
        r-cran-knitr,
        r-cran-lavaan,
        r-cran-lme4,
        r-cran-lmertest,
        r-cran-lmtest,
        r-cran-logspline,
        r-cran-marginaleffects (>= 0.20.4),
        r-cran-mass,
        r-cran-matrix,
        r-cran-mclogit,
        r-cran-mclust,
        r-cran-metafor,
        r-cran-mgcv,
        r-cran-mice (>= 3.17.0),
        r-cran-multcomp,
        r-cran-nfactors,
        r-cran-nlme,
        r-cran-nnet,
        r-cran-openxlsx,
        r-cran-ordinal,
        r-cran-pbkrtest,
        r-cran-performance (>= 0.12.0),
        r-cran-plm,
        r-cran-poorman,
        r-cran-posterior,
        r-cran-pscl,
        r-cran-psych,
        r-cran-pvclust,
        r-cran-quantreg,
        r-cran-randomforest,
        r-cran-rcppeigen,
        r-cran-rmarkdown,
        r-cran-rms,
        r-cran-rstan,
        r-cran-rstanarm,
        r-cran-sandwich,
        r-cran-survey,
        r-cran-survival,
        r-cran-testthat (>= 3.2.1),
        r-cran-tidyselect,
        r-cran-tmb,
        r-cran-vdiffr,
        r-cran-vgam,
        r-cran-withr
Restrictions: allow-stderr, skip-not-installable

## r-cran-parameters 0.24.2

=== DESCRIPTION ===
Type: Package
Package: parameters
Title: Processing of Model Parameters
Version: 0.24.2
Authors@R: 
    c(person(given = "Daniel",
             family = "Lüdecke",
             role = c("aut", "cre"),
             email = "d.luedecke@uke.de",
             comment = c(ORCID = "0000-0002-8895-3206")),
      person(given = "Dominique",
             family = "Makowski",
             role = "aut",
             email = "dom.makowski@gmail.com",
             comment = c(ORCID = "0000-0001-5375-9967")),
      person(given = "Mattan S.",
             family = "Ben-Shachar",
             role = "aut",
             email = "matanshm@post.bgu.ac.il",
             comment = c(ORCID = "0000-0002-4287-4801")),
      person(given = "Indrajeet",
             family = "Patil",
             role = "aut",
             email = "patilindrajeet.science@gmail.com",
             comment = c(ORCID = "0000-0003-1995-6531")),
      person(given = "Søren",
             family = "Højsgaard",
             role = "aut",
             email = "sorenh@math.aau.dk"),
      person(given = "Brenton M.",
             family = "Wiernik",
             role = "aut",
             email = "brenton@wiernik.org",
             comment = c(ORCID = "0000-0001-9560-6336")),
      person(given = "Zen J.",
             family = "Lau",
             role = "ctb",
             email = "zenjuen.lau@ntu.edu.sg"),
      person(given = "Vincent",
             family = "Arel-Bundock",
             role = "ctb",
             email = "vincent.arel-bundock@umontreal.ca",
             comment = c(ORCID = "0000-0003-2042-7063")),
      person(given = "Jeffrey",
             family = "Girard",
             role = "ctb",
             email = "me@jmgirard.com",
             comment = c(ORCID = "0000-0002-7359-3746")),
      person(given = "Christina",
             family = "Maimone",
             role = "rev",
             email = "christina.maimone@northwestern.edu"),
      person(given = "Niels",
             family = "Ohlsen",
             role = "rev"),
      person(given = "Douglas Ezra",
             family = "Morrison",
             role = "ctb",
             email = "dmorrison01@ucla.edu",
             comment = c(ORCID = "0000-0002-7195-830X")),
      person(given = "Joseph",
             family = "Luchman",
             role = "ctb",
             email = "jluchman@gmail.com",
             comment = c(ORCID = "0000-0002-8886-9717")))
Maintainer: Daniel Lüdecke <d.luedecke@uke.de>
Description: Utilities for processing the parameters of various
    statistical models. Beyond computing p values, CIs, and other indices
    for a wide variety of models (see list of supported models using the
    function 'insight::supported_models()'), this package implements
    features like bootstrapping or simulating of parameters and models,
    feature reduction (feature extraction and variable selection) as well
    as functions to describe data and variable characteristics (e.g.
    skewness, kurtosis, smoothness or distribution).
License: GPL-3
URL: https://easystats.github.io/parameters/
BugReports: https://github.com/easystats/parameters/issues
Depends: R (>= 3.6)
Imports: bayestestR (>= 0.15.1), datawizard (>= 1.0.0), insight (>=
        1.0.1), graphics, methods, stats, utils
Suggests: AER, afex, aod, BayesFactor (>= 0.9.12-4.7), BayesFM, bbmle,
        betareg, BH, biglm, blme, boot, brglm2, brms, broom,
        broom.mixed, cAIC4, car, carData, cgam, ClassDiscovery,
        clubSandwich, cluster, cobalt, coda, coxme, cplm, dbscan, did,
        distributional, domir (>= 0.2.0), drc, DRR, effectsize (>=
        0.8.6), EGAnet, emmeans (>= 1.7.0), epiR, estimatr, factoextra,
        FactoMineR, faraway, fastICA, fixest, fpc, gam, gamlss, gee,
        geepack, ggeffects (>= 1.3.2), ggplot2, GLMMadaptive, glmmTMB
        (>= 1.1.10), glmtoolbox, GPArotation, gt, haven, httr2, Hmisc,
        ivreg, knitr, lavaan, lfe, lm.beta, lme4, lmerTest, lmtest,
        logistf, logitr, logspline, lqmm, M3C, marginaleffects (>=
        0.25.0), modelbased (>= 0.9.0), MASS, Matrix, mclogit, mclust,
        MCMCglmm, mediation, merDeriv, metaBMA, metafor, mfx, mgcv,
        mice (>= 3.17.0), mmrm, multcomp, MuMIn, NbClust, nFactors,
        nestedLogit, nlme, nnet, openxlsx, ordinal, panelr, pbkrtest,
        PCDimension, performance (>= 0.12.0), plm, PMCMRplus, poorman,
        posterior, PROreg (>= 1.3.0), pscl, psych, pvclust, quantreg,
        randomForest, RcppEigen, rmarkdown, rms, rstan, rstanarm,
        sandwich, see (>= 0.8.1), serp, sparsepca, survey, survival,
        svylme, testthat (>= 3.2.1), tidyselect, tinytable (>= 0.1.0),
        TMB, truncreg, vdiffr, VGAM, WeightIt (>= 1.2.0), withr, WRS2
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.2
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/Needs/website: easystats/easystatstemplate
Config/rcmdcheck/ignore-inconsequential-notes: true
NeedsCompilation: no
Packaged: 2025-03-04 13:36:47 UTC; mail
Author: Daniel Lüdecke [aut, cre] (<https://orcid.org/0000-0002-8895-3206>),
  Dominique Makowski [aut] (<https://orcid.org/0000-0001-5375-9967>),
  Mattan S. Ben-Shachar [aut] (<https://orcid.org/0000-0002-4287-4801>),
  Indrajeet Patil [aut] (<https://orcid.org/0000-0003-1995-6531>),
  Søren Højsgaard [aut],
  Brenton M. Wiernik [aut] (<https://orcid.org/0000-0001-9560-6336>),
  Zen J. Lau [ctb],
  Vincent Arel-Bundock [ctb] (<https://orcid.org/0000-0003-2042-7063>),
  Jeffrey Girard [ctb] (<https://orcid.org/0000-0002-7359-3746>),
  Christina Maimone [rev],
  Niels Ohlsen [rev],
  Douglas Ezra Morrison [ctb] (<https://orcid.org/0000-0002-7195-830X>),
  Joseph Luchman [ctb] (<https://orcid.org/0000-0002-8886-9717>)
Repository: CRAN
Date/Publication: 2025-03-04 14:50:06 UTC

=== debian/changelog ===
r-cran-parameters (0.24.2-2) unstable; urgency=medium

  * Team upload.
  * Added patch to the tests to cope without having access to the
    "fixest" R package.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 12 Mar 2025 17:12:20 +0100

r-cran-parameters (0.24.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Mar 2025 13:53:59 +0900

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parameters
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parameters.git
 Homepage: https://cran.r-project.org/package=parameters
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-bayestestr (>= 0.15.0),
+               r-cran-bayestestr (>= 0.15.1),
                r-cran-datawizard (>= 1.0.0),
-               r-cran-insight (>= 1.0.0)
+               r-cran-insight (>= 1.0.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-parameters

=== debian/tests/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
         r-cran-lmertest,
         r-cran-lmtest,
         r-cran-logspline,
-        r-cran-marginaleffects (>= 0.20.4),
+        r-cran-marginaleffects (>= 0.25.0),
         r-cran-mass,
         r-cran-matrix,
         r-cran-mclogit,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/parameters_([-\d.]*)\.tar\.gz

## r-cran-parameters 0.28.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Type: Package
 Package: parameters
 Title: Processing of Model Parameters
-Version: 0.24.2
+Version: 0.28.3
 Authors@R: 
     c(person(given = "Daniel",
              family = "Lüdecke",
              role = c("aut", "cre"),
-             email = "d.luedecke@uke.de",
+             email = "officialeasystats@gmail.com",
              comment = c(ORCID = "0000-0002-8895-3206")),
       person(given = "Dominique",
              family = "Makowski",
@@ -63,7 +63,7 @@
              role = "ctb",
              email = "jluchman@gmail.com",
              comment = c(ORCID = "0000-0002-8886-9717")))
-Maintainer: Daniel Lüdecke <d.luedecke@uke.de>
+Maintainer: Daniel Lüdecke <officialeasystats@gmail.com>
 Description: Utilities for processing the parameters of various
     statistical models. Beyond computing p values, CIs, and other indices
     for a wide variety of models (see list of supported models using the
@@ -76,51 +76,59 @@
 URL: https://easystats.github.io/parameters/
 BugReports: https://github.com/easystats/parameters/issues
 Depends: R (>= 3.6)
-Imports: bayestestR (>= 0.15.1), datawizard (>= 1.0.0), insight (>=
-        1.0.1), graphics, methods, stats, utils
+Imports: bayestestR (>= 0.17.0), datawizard (>= 1.3.0), insight (>=
+        1.4.2), graphics, methods, stats, utils
 Suggests: AER, afex, aod, BayesFactor (>= 0.9.12-4.7), BayesFM, bbmle,
         betareg, BH, biglm, blme, boot, brglm2, brms, broom,
         broom.mixed, cAIC4, car, carData, cgam, ClassDiscovery,
-        clubSandwich, cluster, cobalt, coda, coxme, cplm, dbscan, did,
-        distributional, domir (>= 0.2.0), drc, DRR, effectsize (>=
-        0.8.6), EGAnet, emmeans (>= 1.7.0), epiR, estimatr, factoextra,
-        FactoMineR, faraway, fastICA, fixest, fpc, gam, gamlss, gee,
-        geepack, ggeffects (>= 1.3.2), ggplot2, GLMMadaptive, glmmTMB
-        (>= 1.1.10), glmtoolbox, GPArotation, gt, haven, httr2, Hmisc,
-        ivreg, knitr, lavaan, lfe, lm.beta, lme4, lmerTest, lmtest,
-        logistf, logitr, logspline, lqmm, M3C, marginaleffects (>=
-        0.25.0), modelbased (>= 0.9.0), MASS, Matrix, mclogit, mclust,
-        MCMCglmm, mediation, merDeriv, metaBMA, metafor, mfx, mgcv,
-        mice (>= 3.17.0), mmrm, multcomp, MuMIn, NbClust, nFactors,
-        nestedLogit, nlme, nnet, openxlsx, ordinal, panelr, pbkrtest,
-        PCDimension, performance (>= 0.12.0), plm, PMCMRplus, poorman,
-        posterior, PROreg (>= 1.3.0), pscl, psych, pvclust, quantreg,
-        randomForest, RcppEigen, rmarkdown, rms, rstan, rstanarm,
+        clubSandwich, cluster, cobalt, coda, correlation (>= 0.8.8),
+        coxme, cplm, curl, dbscan, did, discovr, distributional, domir
+        (>= 0.2.0), drc, DRR, effectsize (>= 1.0.1), EGAnet, emmeans
+        (>= 1.7.0), epiR, estimatr, factoextra, FactoMineR, faraway,
+        fastICA, fixest, fpc, gam, gamlss, gee, geepack, ggplot2,
+        GLMMadaptive, glmmTMB (>= 1.1.12), glmtoolbox, GPArotation, gt,
+        haven, httr2, Hmisc, ivreg, knitr, lavaan, lcmm, lfe, lm.beta,
+        lme4, lmerTest, lmtest, logistf, logitr, logspline, lqmm, M3C,
+        marginaleffects (>= 0.29.0), modelbased (>= 0.9.0), MASS,
+        Matrix, mclogit, mclust, MCMCglmm, mediation, merDeriv,
+        metaBMA, metafor, mfx, mgcv, mice (>= 3.17.0), mmrm, multcomp,
+        MuMIn, mvtnorm, NbClust, nFactors, nestedLogit, nlme, nnet,
+        openxlsx, ordinal, panelr, pbkrtest, PCDimension, performance
+        (>= 0.14.0), plm, PMCMRplus, poorman, posterior, PROreg (>=
+        1.3.0), pscl, psych, pvclust, quantreg, randomForest,
+        RcppEigen, rmarkdown, rms, rstan, rstanarm, sampleSelection,
         sandwich, see (>= 0.8.1), serp, sparsepca, survey, survival,
-        svylme, testthat (>= 3.2.1), tidyselect, tinytable (>= 0.1.0),
+        svylme, testthat (>= 3.2.1), tidyselect, tinytable (>= 0.13.0),
         TMB, truncreg, vdiffr, VGAM, WeightIt (>= 1.2.0), withr, WRS2
 VignetteBuilder: knitr
 Encoding: UTF-8
 Language: en-US
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Config/Needs/website: easystats/easystatstemplate
+Config/Needs/check: stan-dev/cmdstanr
 Config/rcmdcheck/ignore-inconsequential-notes: true
 NeedsCompilation: no
-Packaged: 2025-03-04 13:36:47 UTC; mail
-Author: Daniel Lüdecke [aut, cre] (<https://orcid.org/0000-0002-8895-3206>),
-  Dominique Makowski [aut] (<https://orcid.org/0000-0001-5375-9967>),
-  Mattan S. Ben-Shachar [aut] (<https://orcid.org/0000-0002-4287-4801>),
-  Indrajeet Patil [aut] (<https://orcid.org/0000-0003-1995-6531>),
+Packaged: 2025-11-25 10:23:57 UTC; mail
+Author: Daniel Lüdecke [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-8895-3206>),
+  Dominique Makowski [aut] (ORCID:
+    <https://orcid.org/0000-0001-5375-9967>),
+  Mattan S. Ben-Shachar [aut] (ORCID:
+    <https://orcid.org/0000-0002-4287-4801>),
+  Indrajeet Patil [aut] (ORCID: <https://orcid.org/0000-0003-1995-6531>),
   Søren Højsgaard [aut],
-  Brenton M. Wiernik [aut] (<https://orcid.org/0000-0001-9560-6336>),
+  Brenton M. Wiernik [aut] (ORCID:
+    <https://orcid.org/0000-0001-9560-6336>),
   Zen J. Lau [ctb],
-  Vincent Arel-Bundock [ctb] (<https://orcid.org/0000-0003-2042-7063>),
-  Jeffrey Girard [ctb] (<https://orcid.org/0000-0002-7359-3746>),
+  Vincent Arel-Bundock [ctb] (ORCID:
+    <https://orcid.org/0000-0003-2042-7063>),
+  Jeffrey Girard [ctb] (ORCID: <https://orcid.org/0000-0002-7359-3746>),
   Christina Maimone [rev],
   Niels Ohlsen [rev],
-  Douglas Ezra Morrison [ctb] (<https://orcid.org/0000-0002-7195-830X>),
-  Joseph Luchman [ctb] (<https://orcid.org/0000-0002-8886-9717>)
+  Douglas Ezra Morrison [ctb] (ORCID:
+    <https://orcid.org/0000-0002-7195-830X>),
+  Joseph Luchman [ctb] (ORCID: <https://orcid.org/0000-0002-8886-9717>)
 Repository: CRAN
-Date/Publication: 2025-03-04 14:50:06 UTC
+Date/Publication: 2025-11-25 11:10:02 UTC

=== debian/changelog ===
r-cran-parameters (0.28.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Dec 2025 13:49:50 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: r-cran-parameters
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-bayestestr (>= 0.17.0),
+               r-cran-datawizard (>= 1.3.0),
+               r-cran-insight (>= 1.4.2),
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parameters
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parameters.git
 Homepage: https://cran.r-project.org/package=parameters
-Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-bayestestr (>= 0.15.1),
-               r-cran-datawizard (>= 1.0.0),
-               r-cran-insight (>= 1.0.1)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-parameters
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -18,10 +18,11 @@
         r-cran-clubsandwich,
         r-cran-cluster,
         r-cran-coda,
+        r-cran-curl,
         r-cran-dbscan,
         r-cran-distributional,
         r-cran-drr,
-        r-cran-effectsize (>= 0.8.6),
+        r-cran-effectsize (>= 1.0.1),
         r-cran-emmeans (>= 1.7.0),
         r-cran-epir,
         r-cran-estimatr,
@@ -32,9 +33,8 @@
         r-cran-gam,
         r-cran-gee,
         r-cran-geepack,
-        r-cran-ggeffects (>= 1.3.2),
         r-cran-ggplot2,
-        r-cran-glmmtmb (>= 1.1.10),
+        r-cran-glmmtmb (>= 1.1.12),
         r-cran-gparotation,
         r-cran-haven,
         r-cran-httr2,
@@ -45,7 +45,7 @@
         r-cran-lmertest,
         r-cran-lmtest,
         r-cran-logspline,
-        r-cran-marginaleffects (>= 0.25.0),
+        r-cran-marginaleffects (>= 0.29.0),
         r-cran-mass,
         r-cran-matrix,
         r-cran-mclogit,
@@ -54,13 +54,14 @@
         r-cran-mgcv,
         r-cran-mice (>= 3.17.0),
         r-cran-multcomp,
+        r-cran-mvtnorm,
         r-cran-nfactors,
         r-cran-nlme,
         r-cran-nnet,
         r-cran-openxlsx,
         r-cran-ordinal,
         r-cran-pbkrtest,
-        r-cran-performance (>= 0.12.0),
+        r-cran-performance (>= 0.14.0),
         r-cran-plm,
         r-cran-poorman,
         r-cran-posterior,
